// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        levelBefor: cc.RichText,
        levelAfter: cc.RichText,
        nameBefor: cc.RichText,
        nameAfter: cc.RichText,
        role: sp.Skeleton,
        salaryLabel: cc.Label,
        progressbar: cc.ProgressBar,
        blessings: cc.RichText,
    },


    bind(userInfo, upgradeInfo) {
        this.levelBefor.string = this.numberString(userInfo.jobLevel);
        this.nameBefor.string = this.nameString(userInfo.jobLevelName);

        this.levelAfter.string = this.numberString(userInfo.jobLevel + 1);
        this.nameAfter.string = this.nameString(upgradeInfo.jobLevelName);

        this.salaryLabel.string = upgradeInfo.salary;
        this.blessings.string = this.nameString('祝福值：' + upgradeInfo.wish);
        this.progressbar.progress = upgradeInfo.wish;
        this.progressbar.totalLength = 100;
    },

    numberString(level) {
        return '<outline color=#584A47 width=2><b>' + level + '</b></outline>'
    },

    nameString(name) {
        return '<outline color=#ffffff width=2><b>' + name + '</b></outline>'
    },

});
